Radius Example

Using Programming Languages other than VBA

Sub Example_Radius()
	' This example creates an arc in model space.
	' It then returns the radius of the arc.
	Dim arcObj As AcadArc
	Dim centerPoint(0 To 2) As Double
	Dim radius As Double
	Dim startAngleInDegree As Double
	Dim endAngleInDegree As Double

	' Define the circle
	centerPoint(0) = 0#: centerPoint(1) = 0#: centerPoint(2) = 0#
	radius = 5#
	startAngleInDegree = 10#
	endAngleInDegree = 230#

	' Convert the angles in degrees to angles in radians
	Dim startAngleInRadian As Double
	Dim endAngleInRadian As Double
	startAngleInRadian = startAngleInDegree * 3.141592 / 180#
	endAngleInRadian = endAngleInDegree * 3.141592 / 180#

	' Create the arc object in model space
	Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian, endAngleInRadian)
	ZoomAll

	' Find the radius of the arc
	radius = arcObj.radius
	MsgBox "The radius of the arc is " & arcObj.radius, , "Radius Example"

End Sub

 

   Comments?